The Official Sequential/DSI Forum

Problems installing Soundtower Evolver PlugSE plugin

Problems installing Soundtower Evolver PlugSE plugin
« on: January 23, 2020, 06:02:02 AM »
Hello all,
I'm really struggling to instal the Soundtower software editor into Logic X. The OS I'm running is 10.13.6.
I did have it installed years ago and it was awesome.
Any help would be much appreciated.

Thanks in advance,

Elk

Re: Problems installing Soundtower Evolver PlugSE plugin
« Reply #1 on: January 23, 2020, 02:36:37 PM »
Your best bet would probably be to contact Soundtower directly. They should be able to help you with their product.
SEQUENTIAL

Re: Problems installing Soundtower Evolver PlugSE plugin
« Reply #2 on: January 24, 2020, 01:48:28 AM »
Thanks.
I've been in touch and they have been so helpful. We got it sorted yesterday.
I'm a very happy wiggler today ;)